FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Kernel Team

 
 
LinkBack Thread Tools
 
Old 10-30-2009, 04:26 PM
Stefan Bader
 
Default UBUNTU: SAUCE: Fix sub-flavour script to not stop on missing directories

BugLink: http://bugs.launchpad.net/bugs/453073

The way the builders run the sub-flavour script seems to include setting
an option to exit loops when an error occurs within that loop. This will
happen when a wildcard entry is not found. Fix this by catching the
error condition and while being on it also fix the name printed on
install.

Signed-off-by: Stefan Bader <stefan.bader@canonical.com>
---
debian.master/scripts/sub-flavour | 6 +++---
1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/debian.master/scripts/sub-flavour b/debian.master/scripts/sub-flavour
index a5b7484..c0093a6 100644
--- a/debian.master/scripts/sub-flavour
+++ b/debian.master/scripts/sub-flavour
@@ -27,7 +27,7 @@ do
#
if echo "$line" | grep '*' > /dev/null
then
- if [ `eval find "$line" -name '*.ko'|wc -l` -lt 1 ]
+ if [ `eval find "$line" -name '*.ko' 2>/dev/null|wc -l` -lt 1 ]
then
echo SUB_INST Warning - No files in $line
fi
@@ -46,7 +46,7 @@ cat ${DEBIAN}/sub-flavours/$TO.list | while read line; do
cd debian/$from_pkg/lib/modules/$ABI_RELEASE-$FROM/kernel;
if echo "$line" | grep '*' > /dev/null
then
- eval find "$line" -name '*.ko'
+ eval find "$line" -name '*.ko' 2>/dev/null || true
elif [ -f "$line" ]
then
echo "$line"
@@ -60,7 +60,7 @@ done | while read mod; do
while read m; do
m="${fromdir}$m"
test -f debian/$to_pkg/$m && continue
- echo "SUB_INST installing: $mod"
+ echo "SUB_INST installing: $m"
install -D -m644 debian/$from_pkg/$m
debian/$to_pkg/$m
done
--
1.6.3.3


--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 

Thread Tools




All times are GMT. The time now is 03:30 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org